|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QSqlRelationalDelegate Class Reference

The QSqlRelationalDelegate provides a delegate that is used to display and edit data from a QSqlRelationalTableModel. More...

    #include <QSqlRelationalDelegate>

Part of the QtSql module.

Inherits QItemDelegate.

- List of all members, including inherited members

### Public Functions

- QSqlRelationalDelegate ( QObject * parent )
- ~QSqlRelationalDelegate ()

- 8 public functions inherited from QItemDelegate
- 7 public functions inherited from QAbstractItemDelegate
- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 2 signals inherited from QAbstractItemDelegate
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 5 protected functions inherited from QItemDelegate
- 7 protected functions inherited from QObject
- 1 static protected member inherited from QAbstractItemDelegate

## Detailed Description

The QSqlRelationalDelegate provides a delegate that is used to display and edit data from a QSqlRelationalTableModel.

Unlike the default delegate, QSqlRelationalDelegate provides a combobox for fields that are foreign keys into other tables. To use the class, simply call QAbstractItemView::setItemDelegate() on the view with an instance of QSqlRelationalDelegate:

            QTableView *view = new QTableView;
            view->setModel(model);
            view->setItemDelegate(new QSqlRelationalDelegate(view));

The sql/relationaltablemodel example (shown below) illustrates how to use QSqlRelationalDelegate in conjunction with QSqlRelationalTableModel to provide tables with foreigh key support.

See also QSqlRelationalTableModel and Model/View Programming.

## Member Function Documentation

### QSqlRelationalDelegate::QSqlRelationalDelegate ( QObject * parent )

Constructs a QSqlRelationalDelegate object with the given parent.

### QSqlRelationalDelegate::~QSqlRelationalDelegate ()

Destroys the QSqlRelationalDelegate object and frees any allocated resources.